Skip to main content
GET
/
iam
/
users
Python
import os
from gcore import Gcore

client = Gcore(
    api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
)
page = client.iam.users.list()
page = page.results[0]
print(page.id)
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "email": "jsmith@example.com",
      "name": "<string>",
      "lang": "de",
      "phone": "<string>",
      "company": "<string>",
      "reseller": 123,
      "client": 123,
      "deleted": true,
      "groups": [
        {
          "id": 1,
          "name": "Administrators"
        }
      ],
      "activated": true,
      "sso_auth": true,
      "two_fa": true,
      "auth_types": [
        "password"
      ],
      "user_type": "common",
      "is_active": true,
      "client_and_roles": [
        {
          "client_id": 123,
          "client_company_name": "<string>",
          "user_roles": [
            "2"
          ],
          "user_id": 123
        }
      ]
    }
  ],
  "next": "/users?offset=20&limit=10",
  "previous": "/users?offset=10&limit=10"
}

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

limit
integer

The maximum number of items.

offset
integer

Offset relative to the beginning of list.

Response

OK

count
number
required

Total number of users

results
object[]
required
next
string

URL to the next users slice

Example:

"/users?offset=20&limit=10"

previous
string

URL to the previous users slice

Example:

"/users?offset=10&limit=10"